Botan 2.19.5 Crypto and TLS for C&

Public Member Functions | List of all members
Botan::Blinded_Point_Multiply Class Referencefinal

`#include <point_gfp.h>`

## Public Member Functions
PointGFp | blinded_multiply (const BigInt &scalar, RandomNumberGenerator &rng)
| Blinded_Point_Multiply (const PointGFp &base, const BigInt &order, size_t h=0)
| ~Blinded_Point_Multiply ()

## Detailed Description

Deprecated API for point multiplication Use EC_Group::blinded_base_point_multiply or EC_Group::blinded_var_point_multiply

Definition at line 423 of file point_gfp.h.

## Constructor & Destructor Documentation

## ◆ Blinded_Point_Multiply()

Botan::Blinded_Point_Multiply::Blinded_Point_Multiply | ( | const PointGFp & | base,
|  | const BigInt & | order,
|  | size_t | h = `0`
| ) |  |

Definition at line 32 of file point_mul.cpp.

34 :
35 m_ws(PointGFp::WORKSPACE_SIZE),
36 m_order(order)
37 {
38 BOTAN_UNUSED(h);
39 Null_RNG null_rng;
40 m_point_mul.reset(new PointGFp_Var_Point_Precompute(base, null_rng, m_ws));
41 }
BOTAN_UNUSED
#define BOTAN_UNUSED(...)
Definition: assert.h:142
Botan::PointGFp::WORKSPACE_SIZE
@ WORKSPACE_SIZE
Definition: point_gfp.h:56

## ◆ ~Blinded_Point_Multiply()

Botan::Blinded_Point_Multiply::~Blinded_Point_Multiply | ( |  | ) |

Definition at line 43 of file point_mul.cpp.

44 {
45 /* for ~unique_ptr */
46 }

## Member Function Documentation

## ◆ blinded_multiply()

PointGFp Botan::Blinded_Point_Multiply::blinded_multiply | ( | const BigInt & | scalar,
|  | RandomNumberGenerator & | rng
| ) |  |

Definition at line 48 of file point_mul.cpp.

50 {
51 return m_point_mul->mul(scalar, rng, m_order, m_ws);
52 }

The documentation for this class was generated from the following files:

- src/lib/pubkey/ec_group/point_gfp.h
- src/lib/pubkey/ec_group/point_mul.cpp